Bug 22146

Summary: Неплохо бы собрать Firefox 3.5 с текущими исправлениями уязвимостей
Product: [Development] Sisyphus Reporter: Rinat Bikov <bikr@mail.ru>
Component: firefoxAssignee: Alexey Gladkov <legion@altlinux.ru>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: enhancement    
Priority: P3 CC: aen@altlinux.org, aris@altlinux.org, lav@altlinux.org, legion@altlinux.org, mike@altlinux.org, sbolshakov@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   
URL: http://www.mozilla.org/security/known-vulnerabilities/firefox35.html#firefox3.5.4

Description From 2009-11-03 22:46:56
Причина: в новой версии устранена часть уязвимостей в системе безопасности.
------- Comment #1 From 2009-11-03 23:53:22 -------
Я будут обновлять сразу до версии 3.5.5, чтобы не делать двойную работу.
------- Comment #2 From 2009-11-04 12:10:47 -------
PS: "часть уязвимостей" -- шикарная формулировка :)
------- Comment #3 From 2009-11-04 15:41:09 -------
Теперь бага выглядит нелепо, потому что 3.5.5 ещё нет.
Но думаю, что без таких багов вы обойтись не можете, поэтому не закрываю.
------- Comment #4 From 2009-11-05 00:01:08 -------
Уф.  Я-то тебе верю на слово, но раз люди спрашивают, то всё-таки имеют право
на внятный ответ, как мне кажется.

Пусть будет: "желательна сборка fx с исправленными проблемами, описанными в
MFSA 2009-{54,56,57,59,63,64}".  Так понимаю, что тебе могут быть известны и
более свежие радости.
------- Comment #5 From 2010-02-19 13:48:52 -------
В Сизифе firefox-3.6
------- Comment #6 From 2010-02-20 21:31:42 -------
2 legion: кстати, а есть известные противопоказания (сильно отвалившиеся
расширения или ещё что подобное) для бэкпорта fx 3.6 в 5.1/branch?
------- Comment #7 From 2010-02-20 21:38:47 -------
(In reply to comment #6)
> 2 legion: кстати, а есть известные противопоказания (сильно отвалившиеся
> расширения или ещё что подобное) для бэкпорта fx 3.6 в 5.1/branch?

Новый xulrunner убьет тамошнюю epiphany.
------- Comment #8 From 2010-02-20 21:44:21 -------
(В ответ на комментарий №6)
> 2 legion: кстати, а есть известные противопоказания (сильно отвалившиеся
> расширения или ещё что подобное) для бэкпорта fx 3.6 в 5.1/branch?

Большинство расширений я пересобрал в сизифе так что это не проблема, но есть
проекты, которые основываются на xulrunner ... например epiphany. Они могут
сломаться (epiphany ломалась в сизифе). И лечатся такие пакеты сильно новой
версией.

Я не знаю как позиционируется 5.1/branch, но я бы не советовал бэкпортить
мажорную версию без масштабного тестирования всего что зависит.

Короткий ответ: противопоказания есть.
------- Comment #9 From 2010-02-21 18:13:32 -------
Понял, спасибо.